Package org.apache.ignite.internal.pagemem.wal.record.delta

## Class MetaPageInitRootInlineRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord
    - - org.apache.ignite.internal.pagemem.wal.record.delta.MetaPageInitRootRecord
      - - org.apache.ignite.internal.pagemem.wal.record.delta.MetaPageInitRootInlineRecord

All Implemented Interfaces:
  `WalRecordCacheGroupAware`

Direct Known Subclasses:
  `MetaPageInitRootInlineFlagsCreatedVersionRecord`

    public class MetaPageInitRootInlineRecord
    extends MetaPageInitRootRecord

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.MetaPageInitRootRecord

`rootId`

### Constructor Summary

Constructors
`MetaPageInitRootInlineRecord​(int grpId, long pageId, long rootId, int inlineSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `applyDelta​(PageMemory pageMem, long pageAddr)` Apply changes from this delta to the given page.
`int` `inlineSize()`
`String` `toString()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.MetaPageInitRootRecord

`rootId`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord

`fullPageId, groupId, pageId`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MetaPageInitRootInlineRecord

    public MetaPageInitRootInlineRecord​(int grpId,
                                        long pageId,
                                        long rootId,
                                        int inlineSize)

Parameters:
  `grpId` - Cache group ID.
  `pageId` - Meta page ID.
  `rootId` -
  `inlineSize` - Inline size.

### Method Detail

#### inlineSize

    public int inlineSize()

Returns:
  Inline size.

#### applyDelta

    public void applyDelta​(PageMemory pageMem,
                           long pageAddr)
                    throws IgniteCheckedException

Apply changes from this delta to the given page. It is assumed that the given buffer represents page state right before this update.

Overrides:
  `applyDelta` in class `MetaPageInitRootRecord`
Parameters:
  `pageMem` - Page memory.
  `pageAddr` - Page address.
Throws:
  `IgniteCheckedException` - If failed.

#### type

    public WALRecord.RecordType type()

Overrides:
  `type` in class `MetaPageInitRootRecord`
Returns:
  Entry type.

#### toString

    public String toString()

Overrides:
  `toString` in class `MetaPageInitRootRecord`